LCF(1)

NAME
lcf - Determine which of the historical versions of a config is installed

SYNOPSIS
lcf [options] <Destination File Name> <Historical MD5SUM source directory>

DESCRIPTION
This script, given a destination file name, and a directory containing md5sums of historical versions of the file, attempts to determine if the installed version corresponds to a historical version. lcf uses the same algorithm that ucf uses, and should exhibit the same behaviour.

The source directory is the place where historical md5sums are expected to live. Specifically, the historical md5sums are looked for in either the file ${filename}.md5sum, or the subdirectory ${filename}.md5sum.d/

OPTIONS

-h, --help
    Print a short usage message

-n, --no-action
    Dry run. Print the actions that would be taken if the script is invoked, but take no action.

-d [n], --debug [n]
    Set the debug level to the (optional) level n (n defaults to 1). This turns on copious debugging information.

-v,  --verbose
    Make the script be very verbose about setting internal variables.

FILES

/var/lib/ucf/hashfile, /etc/ucf.conf

SEE ALSO
ucf(1) ucf.conf(5).

BUGS
There are no bugs. Any resemblance thereof is delirium. Really.

AUTHOR
This manual page was written Manoj Srivastava <srivasta@debian.org>, for the Debian GNU/Linux system.